Name:          jts
Version:       1.15.0
Release:       %mkrel 4
Group:         Development/Java
Summary:       Java Topology Suite
License:       EPL-1.0 or BSD
URL:           https://projects.eclipse.org/projects/locationtech.jts
Source0:       https://github.com/locationtech/jts/archive/jts-%{version}/jts-jts-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.googlecode.json-simple:json-simple)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jdom:jdom2)

BuildArch:     noarch

%description
The LocationTech JTS Topology Suite (JTS) is an open source Java software
library that provides an object model for planar geometry together with a
set of fundamental geometric functions. JTS conforms to the Simple Features
Specification for SQL published by the Open GIS Consortium.  JTS is designed
to be used as a core component of vector-based geomatics software such as
geographical information systems. It can also be used as a general-purpose
library providing algorithms in computational geometry.

%package app
Summary: JTS - Applications & tools

%description app
Applications & tools for working with JTS.

%package example
Summary: JTS - Examples

%description example
Examples of working JTS code.

%package io
Summary: JTS - IO

%description io
JTS Extension for to assist in read / write operations.

%package parent
Summary: JTS - Parent POMs

%description parent
JTS - Parent POMs.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n jts-jts-%{version}

# Uneeded plugins for RPM builds
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin

# Remove this test because junit.swingui is unavailable
rm modules/core/src/test/java/test/jts/junit/SimpleTest.java
sed -i -e '/SimpleTest\.class/d' modules/core/src/test/java/test/jts/junit/MasterTester.java

# Don't bundle deps
%pom_remove_plugin :maven-assembly-plugin modules/tests modules/app

# Backward compatibility aliases
%mvn_alias org.locationtech.jts:jts-core com.vividsolutions:jts-core com.vividsolutions:jts
%mvn_alias org.locationtech.jts.io:jts-io-common com.vividsolutions:jts-io

%mvn_package ":jts-io*" jts-io
%mvn_package ":jts{,-modules}" jts-parent
%mvn_package ":jts-tests" jts-app

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}-core
%doc README.md USING.md MIGRATION.md
%license LICENSE*

%files app -f .mfiles-%{name}-app
%files example -f .mfiles-%{name}-example
%files io -f .mfiles-%{name}-io

%files parent -f .mfiles-%{name}-parent
%license LICENSE*

%files javadoc -f .mfiles-javadoc
%license LICENSE*



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.15.0-4.mga9
+ Revision: 1827350
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.15.0-3.mga8
+ Revision: 1501879
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.15.0-2.mga7
+ Revision: 1279162
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 1.15.0-1.mga7
+ Revision: 1255827
- new version: 1.15.0 (sync with fc29)
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.13-7.mga6
+ Revision: 976489
- First rebuild of the java stack
- sync package jts with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.13-3.mga5
+ Revision: 746836
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 1.13-1.mga5
+ Revision: 636494
- imported package jts

